"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WaveformSeekBar = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _NativeWaveformSeekBar = _interopRequireDefault(require("./NativeWaveformSeekBar"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const WaveformSeekBar = _ref => {
  let {
    style,
    data,
    progress,
    maxProgress,
    visibleProgress,
    waveWidth,
    gap,
    minHeight,
    radius,
    backgroundColor,
    progressColor,
    gravity = 'center',
    onChange
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_NativeWaveformSeekBar.default, {
    style: [styles.defaultStyle, style],
    data: data,
    progress: progress,
    maxProgress: maxProgress,
    visibleProgress: visibleProgress,
    waveWidth: waveWidth,
    gap: gap,
    minHeight: minHeight,
    radius: radius,
    backgroundColor: (0, _reactNative.processColor)(backgroundColor),
    progressColor: (0, _reactNative.processColor)(progressColor),
    gravity: gravity,
    onChange: onChange
  });
};

exports.WaveformSeekBar = WaveformSeekBar;

const styles = _reactNative.StyleSheet.create({
  defaultStyle: {
    width: '100%',
    height: '100%'
  }
});
//# sourceMappingURL=index.js.map