import React from 'react';
import { StyleSheet, processColor } from 'react-native';
import NativeWaveformSeekBar from './NativeWaveformSeekBar';
export const WaveformSeekBar = _ref => {
  let {
    style,
    data,
    progress,
    maxProgress,
    visibleProgress,
    waveWidth,
    gap,
    minHeight,
    radius,
    backgroundColor,
    progressColor,
    gravity = 'center',
    onChange
  } = _ref;
  return /*#__PURE__*/React.createElement(NativeWaveformSeekBar, {
    style: [styles.defaultStyle, style],
    data: data,
    progress: progress,
    maxProgress: maxProgress,
    visibleProgress: visibleProgress,
    waveWidth: waveWidth,
    gap: gap,
    minHeight: minHeight,
    radius: radius,
    backgroundColor: processColor(backgroundColor),
    progressColor: processColor(progressColor),
    gravity: gravity,
    onChange: onChange
  });
};
const styles = StyleSheet.create({
  defaultStyle: {
    width: '100%',
    height: '100%'
  }
});
//# sourceMappingURL=index.js.map